changeset 2553:b21123d5a693

test scripts: use JDK7 env var, check all required vars
author Lukas Stadler <lukas.stadler@jku.at>
date Thu, 28 Apr 2011 13:17:23 +0200
parents b122bed75f04
children ce6b25792103
files runbootstrap.sh rundacapo.sh runscimark.sh runtests.sh
diffstat 4 files changed, 52 insertions(+), 3 deletions(-) [+]
line wrap: on
line diff
--- a/runbootstrap.sh	Thu Apr 28 10:40:49 2011 +0200
+++ b/runbootstrap.sh	Thu Apr 28 13:17:23 2011 +0200
@@ -1,2 +1,19 @@
 #!/bin/bash
-${GRAAL}/java64/bin/java -client -graal -version
+if [ -z "${JDK7}" ]; then
+  echo "JDK7 is not defined."
+  exit 1;
+fi
+if [ -z "${JDK7G}" ]; then
+  echo "JDK7G is not defined."
+  exit 1;
+fi
+if [ -z "${MAXINE}" ]; then
+  echo "MAXINE is not defined. It must point to a maxine repository directory."
+  exit 1;
+fi
+if [ -z "${GRAAL}" ]; then
+  echo "GRAAL is not defined. It must point to a maxine repository directory."
+  exit 1;
+fi
+${JDK7}/bin/java -client -graal -version
+${JDK7G}/bin/java -client -graal -version
--- a/rundacapo.sh	Thu Apr 28 10:40:49 2011 +0200
+++ b/rundacapo.sh	Thu Apr 28 13:17:23 2011 +0200
@@ -1,2 +1,18 @@
 #!/bin/bash
-${GRAAL}/java64/bin/java -client -graal -Xms1g -Xmx2g -esa -classpath ${DACAPO}/dacapo-9.12-bach.jar Harness $*
+if [ -z "${JDK7}" ]; then
+  echo "JDK7 is not defined."
+  exit 1;
+fi
+if [ -z "${MAXINE}" ]; then
+  echo "MAXINE is not defined. It must point to a maxine repository directory."
+  exit 1;
+fi
+if [ -z "${GRAAL}" ]; then
+  echo "GRAAL is not defined. It must point to a maxine repository directory."
+  exit 1;
+fi
+if [ -z "${DACAPO}" ]; then
+  echo "DACAPO is not defined. It must point to a SciMark benchmark directory."
+  exit 1;
+fi
+${JDK7}/bin/java -client -graal -Xms1g -Xmx2g -esa -classpath ${DACAPO}/dacapo-9.12-bach.jar Harness $*
--- a/runscimark.sh	Thu Apr 28 10:40:49 2011 +0200
+++ b/runscimark.sh	Thu Apr 28 13:17:23 2011 +0200
@@ -7,6 +7,10 @@
   echo "MAXINE is not defined. It must point to a maxine repository directory."
   exit 1;
 fi
+if [ -z "${GRAAL}" ]; then
+  echo "GRAAL is not defined. It must point to a maxine repository directory."
+  exit 1;
+fi
 if [ -z "${SCIMARK}" ]; then
   echo "SCIMARK is not defined. It must point to a SciMark benchmark directory."
   exit 1;
--- a/runtests.sh	Thu Apr 28 10:40:49 2011 +0200
+++ b/runtests.sh	Thu Apr 28 13:17:23 2011 +0200
@@ -1,2 +1,14 @@
 #!/bin/bash
-${GRAAL}/java64/bin/java -client -graal -ea -esa -Xcomp -XX:+PrintCompilation -XX:CompileOnly=jtt -Xbootclasspath/p:"${MAXINE}/VM/bin" -Xbootclasspath/p:"${MAXINE}/Base/bin" test.com.sun.max.vm.compiler.JavaTester -verbose=1 -gen-run-scheme=false -run-scheme-package=all ${MAXINE}/VM/test/jtt/bytecode ${MAXINE}/VM/test/jtt/except ${MAXINE}/VM/test/jtt/hotpath ${MAXINE}/VM/test/jtt/jdk ${MAXINE}/VM/test/jtt/lang ${MAXINE}/VM/test/jtt/loop ${MAXINE}/VM/test/jtt/micro ${MAXINE}/VM/test/jtt/optimize ${MAXINE}/VM/test/jtt/reflect ${MAXINE}/VM/test/jtt/threads
+if [ -z "${JDK7}" ]; then
+  echo "JDK7 is not defined."
+  exit 1;
+fi
+if [ -z "${MAXINE}" ]; then
+  echo "MAXINE is not defined. It must point to a maxine repository directory."
+  exit 1;
+fi
+if [ -z "${GRAAL}" ]; then
+  echo "GRAAL is not defined. It must point to a maxine repository directory."
+  exit 1;
+fi
+${JDK7}/bin/java -client -graal -ea -esa -Xcomp -XX:+PrintCompilation -XX:CompileOnly=jtt -Xbootclasspath/p:"${MAXINE}/VM/bin" -Xbootclasspath/p:"${MAXINE}/Base/bin" test.com.sun.max.vm.compiler.JavaTester -verbose=1 -gen-run-scheme=false -run-scheme-package=all ${MAXINE}/VM/test/jtt/bytecode ${MAXINE}/VM/test/jtt/except ${MAXINE}/VM/test/jtt/hotpath ${MAXINE}/VM/test/jtt/jdk ${MAXINE}/VM/test/jtt/lang ${MAXINE}/VM/test/jtt/loop ${MAXINE}/VM/test/jtt/micro ${MAXINE}/VM/test/jtt/optimize ${MAXINE}/VM/test/jtt/reflect ${MAXINE}/VM/test/jtt/threads